<?php
$tdataRO___Calls_Summary=array();
	$tdataRO___Calls_Summary[".NumberOfChars"]=80; 
	$tdataRO___Calls_Summary[".ShortName"]="RO___Calls_Summary";
	$tdataRO___Calls_Summary[".OwnerID"]="Region";
	$tdataRO___Calls_Summary[".OriginalTable"]="calls";


	
//	field labels
$fieldLabelsRO___Calls_Summary = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsRO___Calls_Summary["English"]=array();
	$fieldToolTipsRO___Calls_Summary["English"]=array();
	$fieldLabelsRO___Calls_Summary["English"]["Date"] = "Date";
	$fieldToolTipsRO___Calls_Summary["English"]["Date"] = "";
	$fieldLabelsRO___Calls_Summary["English"]["Executive_Name"] = "Executive Name";
	$fieldToolTipsRO___Calls_Summary["English"]["Executive Name"] = "";
	$fieldLabelsRO___Calls_Summary["English"]["COUNT"] = "COUNT";
	$fieldToolTipsRO___Calls_Summary["English"]["COUNT"] = "";
	$fieldLabelsRO___Calls_Summary["English"]["Customer_Status"] = "Customer Status";
	$fieldToolTipsRO___Calls_Summary["English"]["Customer Status"] = "";
	$fieldLabelsRO___Calls_Summary["English"]["Region"] = "Region";
	$fieldToolTipsRO___Calls_Summary["English"]["Region"] = "";
	if (count($fieldToolTipsRO___Calls_Summary["English"])){
		$tdataRO___Calls_Summary[".isUseToolTips"]=true;
	}
}


	
	$tdataRO___Calls_Summary[".NCSearch"]=true;

	

$tdataRO___Calls_Summary[".shortTableName"] = "RO___Calls_Summary";
$tdataRO___Calls_Summary[".nSecOptions"] = 1;
$tdataRO___Calls_Summary[".recsPerRowList"] = 1;	
$tdataRO___Calls_Summary[".tableGroupBy"] = "1";
$tdataRO___Calls_Summary[".mainTableOwnerID"] = "Region";
$tdataRO___Calls_Summary[".moveNext"] = 1;




$tdataRO___Calls_Summary[".showAddInPopup"] = false;

$tdataRO___Calls_Summary[".showEditInPopup"] = false;

$tdataRO___Calls_Summary[".showViewInPopup"] = false;


$tdataRO___Calls_Summary[".fieldsForRegister"] = array();

$tdataRO___Calls_Summary[".listAjax"] = false;

	$tdataRO___Calls_Summary[".audit"] = false;

	$tdataRO___Calls_Summary[".locking"] = false;
	
$tdataRO___Calls_Summary[".listIcons"] = true;
$tdataRO___Calls_Summary[".edit"] = true;
$tdataRO___Calls_Summary[".inlineEdit"] = true;
$tdataRO___Calls_Summary[".view"] = true;

$tdataRO___Calls_Summary[".exportTo"] = true;

$tdataRO___Calls_Summary[".printFriendly"] = true;

$tdataRO___Calls_Summary[".delete"] = true;

$tdataRO___Calls_Summary[".showSimpleSearchOptions"] = false;

$tdataRO___Calls_Summary[".showSearchPanel"] = true;


$tdataRO___Calls_Summary[".isUseAjaxSuggest"] = true;



// button handlers file names

$tdataRO___Calls_Summary[".addPageEvents"] = false;


// use datepicker for search panel
$tdataRO___Calls_Summary[".isUseCalendarForSearch"] = true;

// use timepicker for search panel
$tdataRO___Calls_Summary[".isUseTimeForSearch"] = false;

$tdataRO___Calls_Summary[".isUseiBox"] = false;



$tdataRO___Calls_Summary[".isUseInlineJs"] = $tdataRO___Calls_Summary[".isUseInlineAdd"] || $tdataRO___Calls_Summary[".isUseInlineEdit"];

$tdataRO___Calls_Summary[".allSearchFields"] = array();

$tdataRO___Calls_Summary[".globSearchFields"][] = "COUNT";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("COUNT", $tdataRO___Calls_Summary[".allSearchFields"]))
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "COUNT";	
}
$tdataRO___Calls_Summary[".globSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Summary[".allSearchFields"]))
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Date";	
}
$tdataRO___Calls_Summary[".globSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataRO___Calls_Summary[".allSearchFields"]))
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Executive Name";	
}
$tdataRO___Calls_Summary[".globSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataRO___Calls_Summary[".allSearchFields"]))
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Customer Status";	
}
$tdataRO___Calls_Summary[".globSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataRO___Calls_Summary[".allSearchFields"]))
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Region";	
}


$tdataRO___Calls_Summary[".googleLikeFields"][] = "COUNT";
$tdataRO___Calls_Summary[".googleLikeFields"][] = "Date";
$tdataRO___Calls_Summary[".googleLikeFields"][] = "Executive Name";
$tdataRO___Calls_Summary[".googleLikeFields"][] = "Customer Status";
$tdataRO___Calls_Summary[".googleLikeFields"][] = "Region";

$tdataRO___Calls_Summary[".panelSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Date";	
}


$tdataRO___Calls_Summary[".advSearchFields"][] = "COUNT";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("COUNT", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "COUNT";	
}
$tdataRO___Calls_Summary[".advSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Date";	
}
$tdataRO___Calls_Summary[".advSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Executive Name";	
}
$tdataRO___Calls_Summary[".advSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Customer Status";	
}
$tdataRO___Calls_Summary[".advSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataRO___Calls_Summary[".allSearchFields"])) 
{
	$tdataRO___Calls_Summary[".allSearchFields"][] = "Region";	
}

$tdataRO___Calls_Summary[".isTableType"] = "report";

$tdataRO___Calls_Summary[".reportGroupFields"] = true;

	

$tdataRO___Calls_Summary[".isDisplayLoading"] = true;

$tdataRO___Calls_Summary[".isResizeColumns"] = false;


$tdataRO___Calls_Summary[".noRecordsFirstPage"] = true;




$gstrOrderBy = "ORDER BY Date(Date) DESC";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataRO___Calls_Summary[".strOrderBy"] = $gstrOrderBy;
	
$tdataRO___Calls_Summary[".orderindexes"] = array();
$tdataRO___Calls_Summary[".orderindexes"][] = array(2, (0 ? "ASC" : "DESC"), "Date(Date)");

$tdataRO___Calls_Summary[".sqlHead"] = "SELECT COUNT(calls.idCalls) AS `COUNT`,  Date(Date) AS `Date`,  calls.`Executive Name`,  customer_list.`Customer Status`,  customer_list.Region";
$tdataRO___Calls_Summary[".sqlFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$tdataRO___Calls_Summary[".sqlWhereExpr"] = "";
$tdataRO___Calls_Summary[".sqlTail"] = "GROUP BY Date(Date), calls.`Executive Name`, customer_list.`Customer Status`";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataRO___Calls_Summary[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataRO___Calls_Summary[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tdataRO___Calls_Summary[".Keys"] = $tableKeys;

//	COUNT
	$fdata = array();
	$fdata["strName"] = "COUNT";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 3;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "COUNT";
	
		$fdata["FullName"]= "COUNT(calls.idCalls)";
	
		
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Summary["COUNT"]=$fdata;
//	Date
	$fdata = array();
	$fdata["strName"] = "Date";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 135;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Date";
	$fdata["ViewFormat"]= "Short Date";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Date";
	
		$fdata["FullName"]= "Date(Date)";
	
		
		
		
		
		
				$fdata["Index"]= 2;
		$fdata["DateEditType"] = 13; 
	$fdata["InitialYearFactor"] = 100; 
	$fdata["LastYearFactor"] = 10; 
			
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Summary["Date"]=$fdata;
//	Executive Name
	$fdata = array();
	$fdata["strName"] = "Executive Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Executive_Name";
	
		$fdata["FullName"]= "calls.`Executive Name`";
	
		
		
		
		
		
				$fdata["Index"]= 3;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Summary["Executive Name"]=$fdata;
//	Customer Status
	$fdata = array();
	$fdata["strName"] = "Customer Status";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Status";
	
		$fdata["FullName"]= "customer_list.`Customer Status`";
	
		
		
		
		
		
				$fdata["Index"]= 4;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Summary["Customer Status"]=$fdata;
//	Region
	$fdata = array();
	$fdata["strName"] = "Region";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region";
	
		$fdata["FullName"]= "customer_list.Region";
	
		
		
		
		
		
				$fdata["Index"]= 5;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				
		
		
		
		
		
			$tdataRO___Calls_Summary["Region"]=$fdata;

	
$tables_data["RO - Calls Summary"]=&$tdataRO___Calls_Summary;
$field_labels["RO___Calls_Summary"] = &$fieldLabelsRO___Calls_Summary;
$fieldToolTips["RO - Calls Summary"] = &$fieldToolTipsRO___Calls_Summary;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["RO - Calls Summary"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["RO - Calls Summary"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto104=array();
$proto104["m_strHead"] = "SELECT";
$proto104["m_strFieldList"] = "COUNT(calls.idCalls) AS `COUNT`,  Date(Date) AS `Date`,  calls.`Executive Name`,  customer_list.`Customer Status`,  customer_list.Region";
$proto104["m_strFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$proto104["m_strWhere"] = "";
$proto104["m_strOrderBy"] = "ORDER BY Date(Date) DESC";
$proto104["m_strTail"] = "GROUP BY Date(Date), calls.`Executive Name`, customer_list.`Customer Status`";
$proto105=array();
$proto105["m_sql"] = "";
$proto105["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto105["m_column"]=$obj;
$proto105["m_contained"] = array();
$proto105["m_strCase"] = "";
$proto105["m_havingmode"] = "0";
$proto105["m_inBrackets"] = "0";
$proto105["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto105);

$proto104["m_where"] = $obj;
$proto107=array();
$proto107["m_sql"] = "";
$proto107["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto107["m_column"]=$obj;
$proto107["m_contained"] = array();
$proto107["m_strCase"] = "";
$proto107["m_havingmode"] = "0";
$proto107["m_inBrackets"] = "0";
$proto107["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto107);

$proto104["m_having"] = $obj;
$proto104["m_fieldlist"] = array();
						$proto109=array();
			$proto110=array();
$proto110["m_functiontype"] = "SQLF_COUNT";
$proto110["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "idCalls",
	"m_strTable" => "calls"
));

$proto110["m_arguments"][]=$obj;
$proto110["m_strFunctionName"] = "COUNT";
$obj = new SQLFunctionCall($proto110);

$proto109["m_expr"]=$obj;
$proto109["m_alias"] = "COUNT";
$obj = new SQLFieldListItem($proto109);

$proto104["m_fieldlist"][]=$obj;
						$proto112=array();
			$proto113=array();
$proto113["m_functiontype"] = "SQLF_CUSTOM";
$proto113["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto113["m_arguments"][]=$obj;
$proto113["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto113);

$proto112["m_expr"]=$obj;
$proto112["m_alias"] = "Date";
$obj = new SQLFieldListItem($proto112);

$proto104["m_fieldlist"][]=$obj;
						$proto115=array();
			$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto115["m_expr"]=$obj;
$proto115["m_alias"] = "";
$obj = new SQLFieldListItem($proto115);

$proto104["m_fieldlist"][]=$obj;
						$proto117=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto117["m_expr"]=$obj;
$proto117["m_alias"] = "";
$obj = new SQLFieldListItem($proto117);

$proto104["m_fieldlist"][]=$obj;
						$proto119=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "customer_list"
));

$proto119["m_expr"]=$obj;
$proto119["m_alias"] = "";
$obj = new SQLFieldListItem($proto119);

$proto104["m_fieldlist"][]=$obj;
$proto104["m_fromlist"] = array();
												$proto121=array();
$proto121["m_link"] = "SQLL_MAIN";
			$proto122=array();
$proto122["m_strName"] = "calls";
$proto122["m_columns"] = array();
$proto122["m_columns"][] = "idCalls";
$proto122["m_columns"][] = "Date";
$proto122["m_columns"][] = "Call Details";
$proto122["m_columns"][] = "Executive Name";
$proto122["m_columns"][] = "Customer Name";
$obj = new SQLTable($proto122);

$proto121["m_table"] = $obj;
$proto121["m_alias"] = "";
$proto123=array();
$proto123["m_sql"] = "";
$proto123["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto123["m_column"]=$obj;
$proto123["m_contained"] = array();
$proto123["m_strCase"] = "";
$proto123["m_havingmode"] = "0";
$proto123["m_inBrackets"] = "0";
$proto123["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto123);

$proto121["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto121);

$proto104["m_fromlist"][]=$obj;
												$proto125=array();
$proto125["m_link"] = "SQLL_INNERJOIN";
			$proto126=array();
$proto126["m_strName"] = "customer_list";
$proto126["m_columns"] = array();
$proto126["m_columns"][] = "idCL";
$proto126["m_columns"][] = "Created on";
$proto126["m_columns"][] = "Region";
$proto126["m_columns"][] = "Customer Name";
$proto126["m_columns"][] = "Address";
$proto126["m_columns"][] = "City";
$proto126["m_columns"][] = "State";
$proto126["m_columns"][] = "Country";
$proto126["m_columns"][] = "Postal Code";
$proto126["m_columns"][] = "Web address";
$proto126["m_columns"][] = "Area";
$proto126["m_columns"][] = "Customer_Category";
$proto126["m_columns"][] = "Breif About the Company";
$proto126["m_columns"][] = "Existing Setup";
$proto126["m_columns"][] = "Interaction Summary";
$proto126["m_columns"][] = "Commercial Summary";
$proto126["m_columns"][] = "Customer Status";
$proto126["m_columns"][] = "Assigned Executive";
$proto126["m_columns"][] = "Assigned Date";
$proto126["m_columns"][] = "Last Updated on";
$obj = new SQLTable($proto126);

$proto125["m_table"] = $obj;
$proto125["m_alias"] = "";
$proto127=array();
$proto127["m_sql"] = "calls.`Customer Name` = customer_list.`Customer Name`";
$proto127["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto127["m_column"]=$obj;
$proto127["m_contained"] = array();
$proto127["m_strCase"] = "= customer_list.`Customer Name`";
$proto127["m_havingmode"] = "0";
$proto127["m_inBrackets"] = "0";
$proto127["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto127);

$proto125["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto125);

$proto104["m_fromlist"][]=$obj;
$proto104["m_groupby"] = array();
												$proto129=array();
						$proto130=array();
$proto130["m_functiontype"] = "SQLF_CUSTOM";
$proto130["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto130["m_arguments"][]=$obj;
$proto130["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto130);

$proto129["m_column"]=$obj;
$obj = new SQLGroupByItem($proto129);

$proto104["m_groupby"][]=$obj;
												$proto132=array();
						$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto132["m_column"]=$obj;
$obj = new SQLGroupByItem($proto132);

$proto104["m_groupby"][]=$obj;
												$proto134=array();
						$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto134["m_column"]=$obj;
$obj = new SQLGroupByItem($proto134);

$proto104["m_groupby"][]=$obj;
$proto104["m_orderby"] = array();
												$proto136=array();
						$proto137=array();
$proto137["m_functiontype"] = "SQLF_CUSTOM";
$proto137["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto137["m_arguments"][]=$obj;
$proto137["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto137);

$proto136["m_column"]=$obj;
$proto136["m_bAsc"] = 0;
$proto136["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto136);

$proto104["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto104);

$queryData_RO___Calls_Summary = $obj;
$tdataRO___Calls_Summary[".sqlquery"] = $queryData_RO___Calls_Summary;

$tableEvents["RO - Calls Summary"] = new eventsBase;

?>
